Zero Блоки

Get All Base Elements

get

Получение списка всех базовых элементов для zero-блоков.

Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными базового элемента

idintegerRequired
type_namestringRequired
display_namestringRequired
iconstringRequired
schemaobject · SchemaOptional
created_atstring · date-timeRequired
get
/api/zero-base-elements
200

Successful Response

Create Base Element

post

Создание нового базового элемента (только для администраторов).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Схема для создания базового элемента

type_namestring · min: 1 · max: 50Required

Название типа элемента (text, button, image и т.д.)

display_namestring · min: 1 · max: 50Required

Отображаемое название элемента (Текст, Кнопка, ...)

iconstring · min: 1 · max: 50Required

Иконка (Square, Image, ...)

schemaobject · SchemaRequired

JSON схема элемента с описанием его свойств

Responses
post
/api/zero-base-elements

Get Base Element By Id

get

Получение базового элемента по ID.

Path parameters
element_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными базового элемента

idintegerRequired
type_namestringRequired
display_namestringRequired
iconstringRequired
schemaobject · SchemaOptional
created_atstring · date-timeRequired
get
/api/zero-base-elements/{element_id}

Get Zero Block By Block Id

get

Получение zero-блока по ID блока со всеми слоями и breakpoints.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Расширенная схема zero-блока со слоями и адаптивными настройками

idintegerRequired
block_idintegerRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/api/blocks/{block_id}/zero-block

Create Zero Block

post

Создание zero-блока для существующего блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_idintegerRequired
Body
object · ZeroBlockCreateOptional

Схема для создания zero-блока

Responses
post
/api/blocks/{block_id}/zero-block

Get Zero Block

get

Получение zero-блока по ID zero-блока со всеми слоями и breakpoints.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Расширенная схема zero-блока со слоями и адаптивными настройками

idintegerRequired
block_idintegerRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/api/zero-blocks/{zero_block_id}

Delete Zero Block

delete

Удаление zero-блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Responses
delete
/api/zero-blocks/{zero_block_id}

No content

Update Zero Block

patch

Обновление настроек zero-блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Body
object · ZeroBlockUpdateOptional

Схема для обновления zero-блока

Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными zero-блока

idintegerRequired
block_idintegerRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
patch
/api/zero-blocks/{zero_block_id}

Get Zero Block Layers

get

Получение списка слоев zero-блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными слоя

idintegerRequired
zero_block_idintegerRequired
zero_base_element_idintegerRequired
dataany ofRequired
objectOptional
or
nullOptional
positionintegerRequired
created_atstring · date-timeRequired
get
/api/zero-blocks/{zero_block_id}/layers

Create Layer

post

Создание нового слоя в zero-блоке.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Body

Схема для создания слоя

zero_base_element_idintegerRequired

ID базового элемента

dataany ofOptional

Данные элемента

objectOptional
or
nullOptional
positionintegerOptional

Позиция слоя (z-index)

Default: 0
Responses
post
/api/zero-blocks/{zero_block_id}/layers

Get Layer

get

Получение слоя по ID с адаптивными настройками.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
layer_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Расширенная схема слоя с адаптивными настройками

idintegerRequired
zero_block_idintegerRequired
zero_base_element_idintegerRequired
dataany ofRequired
objectOptional
or
nullOptional
positionintegerRequired
created_atstring · date-timeRequired
get
/api/zero-layers/{layer_id}

Delete Layer

delete

Удаление слоя.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
layer_idintegerRequired
Responses
delete
/api/zero-layers/{layer_id}

No content

Update Layer

patch

Обновление слоя.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
layer_idintegerRequired
Body

Схема для обновления слоя

zero_base_element_idany ofOptional

ID базового элемента

integerOptional
or
nullOptional
dataany ofOptional

Данные элемента

objectOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными слоя

idintegerRequired
zero_block_idintegerRequired
zero_base_element_idintegerRequired
dataany ofRequired
objectOptional
or
nullOptional
positionintegerRequired
created_atstring · date-timeRequired
patch
/api/zero-layers/{layer_id}

Update Layer Position

patch

Изменение позиции слоя (z-index).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
layer_idintegerRequired
Body

Схема для обновления позиции слоя

positionintegerRequired

Новая позиция слоя

Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными слоя

idintegerRequired
zero_block_idintegerRequired
zero_base_element_idintegerRequired
dataany ofRequired
objectOptional
or
nullOptional
positionintegerRequired
created_atstring · date-timeRequired
patch
/api/zero-layers/{layer_id}/position

Get Zero Block Responsive Settings

get

Получение списка адаптивных настроек zero-блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с адаптивными настройками блока

idintegerRequired
zero_block_idintegerRequired
widthintegerRequired
heightany ofRequired
integerOptional
or
nullOptional
propsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
get
/api/zero-blocks/{zero_block_id}/responsive

Create Zero Block Responsive

post

Создание адаптивных настроек для zero-блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
zero_block_idintegerRequired
Body

Схема для создания адаптивных настроек блока

zero_block_idintegerRequired

ID zero-блока

widthintegerRequired

Ширина экрана (breakpoint в пикселях)

heightany ofOptional

Высота блока в пикселях

integerOptional
or
nullOptional
propsany ofOptional

Дополнительные свойства (background, grid_settings и т.д.)

objectOptional
or
nullOptional
Responses
post
/api/zero-blocks/{zero_block_id}/responsive

Get Zero Block Responsive By Id

get

Получение адаптивных настроек по ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
responsive_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с адаптивными настройками блока

idintegerRequired
zero_block_idintegerRequired
widthintegerRequired
heightany ofRequired
integerOptional
or
nullOptional
propsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
get
/api/zero-block-responsive/{responsive_id}

Delete Zero Block Responsive

delete

Удаление адаптивных настроек.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
responsive_idintegerRequired
Responses
delete
/api/zero-block-responsive/{responsive_id}

No content

Update Zero Block Responsive

patch

Обновление адаптивных настроек.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
responsive_idintegerRequired
Body

Схема для обновления адаптивных настроек блока

widthany ofOptional

Ширина экрана (breakpoint в пикселях)

integerOptional
or
nullOptional
heightany ofOptional

Высота блока в пикселях

integerOptional
or
nullOptional
propsany ofOptional

Дополнительные свойства

objectOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с адаптивными настройками блока

idintegerRequired
zero_block_idintegerRequired
widthintegerRequired
heightany ofRequired
integerOptional
or
nullOptional
propsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
patch
/api/zero-block-responsive/{responsive_id}

Get Layer Responsive Settings

get

Получение списка адаптивных настроек слоя.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
layer_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с адаптивными настройками слоя

idintegerRequired
zero_layer_idintegerRequired
zero_block_responsive_idintegerRequired
xany ofRequired
integerOptional
or
nullOptional
yany ofRequired
integerOptional
or
nullOptional
widthany ofRequired
integerOptional
or
nullOptional
heightany ofRequired
integerOptional
or
nullOptional
directionany ofRequired
stringOptional
or
nullOptional
dataany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
get
/api/zero-layers/{layer_id}/responsive

Create Responsive

post

Создание адаптивных настроек для слоя.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
layer_idintegerRequired
Body

Схема для создания адаптивных настроек слоя

zero_block_responsive_idintegerRequired

ID адаптивных настроек блока

xany ofOptional

Позиция по оси X

Default: 0
integerOptional
or
nullOptional
yany ofOptional

Позиция по оси Y

Default: 0
integerOptional
or
nullOptional
widthany ofOptional

Ширина элемента

integerOptional
or
nullOptional
heightany ofOptional

Высота элемента

integerOptional
or
nullOptional
directionany ofOptional

Направление (left/right)

Default: left
stringOptional
or
nullOptional
dataany ofOptional

Дополнительные данные

objectOptional
or
nullOptional
Responses
post
/api/zero-layers/{layer_id}/responsive

Get Responsive

get

Получение адаптивных настроек по ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
responsive_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с адаптивными настройками слоя

idintegerRequired
zero_layer_idintegerRequired
zero_block_responsive_idintegerRequired
xany ofRequired
integerOptional
or
nullOptional
yany ofRequired
integerOptional
or
nullOptional
widthany ofRequired
integerOptional
or
nullOptional
heightany ofRequired
integerOptional
or
nullOptional
directionany ofRequired
stringOptional
or
nullOptional
dataany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
get
/api/zero-layer-responsive/{responsive_id}

Delete Responsive

delete

Удаление адаптивных настроек.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
responsive_idintegerRequired
Responses
delete
/api/zero-layer-responsive/{responsive_id}

No content

Update Responsive

patch

Обновление адаптивных настроек.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
responsive_idintegerRequired
Body

Схема для обновления адаптивных настроек слоя

xany ofOptional

Позиция по оси X

integerOptional
or
nullOptional
yany ofOptional

Позиция по оси Y

integerOptional
or
nullOptional
widthany ofOptional

Ширина элемента

integerOptional
or
nullOptional
heightany ofOptional

Высота элемента

integerOptional
or
nullOptional
directionany ofOptional

Направление

stringOptional
or
nullOptional
dataany ofOptional

Дополнительные данные

objectOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с адаптивными настройками слоя

idintegerRequired
zero_layer_idintegerRequired
zero_block_responsive_idintegerRequired
xany ofRequired
integerOptional
or
nullOptional
yany ofRequired
integerOptional
or
nullOptional
widthany ofRequired
integerOptional
or
nullOptional
heightany ofRequired
integerOptional
or
nullOptional
directionany ofRequired
stringOptional
or
nullOptional
dataany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
patch
/api/zero-layer-responsive/{responsive_id}

Последнее обновление